#include <iostream>
#include <cmath>

using namespace std;

int main()
{
   char c1, c2;
   int a1, a2;
   cin >> c1 >> c2 >> a1 >> a2;
   if (abs(a1 - a2) > 1)
   {
      cout << "nemoguce";
      return 0;
   }
   if (a1 > a2)
   {
      cout << c1;
      for (int i = 0; i < a2; i++)
         cout << c2 << c1;
      return 0;
   }
   if (a2 > a1)
      cout << c2;
   for (int i = 0; i < a1; i++)
      cout << c1 << c2;
   return 0;
}